;############################################################################################
;# entries.ini
;# ---------------------
;# This file contains a list of all entries that need to be added to various Windows
;# setup files upon integration of the RyanVM Update Pack.
;############################################################################################

;This section contains version info
[general]
builddate=2009/01/18
description=RyanVM's Post-SP3 Update Pack for Windows XP
forcelang=English
language=English
ServicePack=SP3
title=RyanVM Update Pack
version=1.0.3
website=http://www.ryanvm.net/msfn/
Windows=XP

;This section contains the variables used for the Update Pack filenames
[filenames]
maininf=RVMUpPck.inf

;This section contains entries that need to go into the [Components] section of sysoc.inf
[sysoc]
RVMUpdatePack=ocgen.dll,OcEntry,%maininf%,HIDE,7

;This section contains entries that need to go into the [Files] section of dosnet.inf
[dosnet_files]
d1,%maininf%
d1,axaltocm.dll
d1,basecsp.dll
d1,bcsprsrc.dll
d1,DataStor.edb
d1,flash10.ocx
d1,flashutl.exe
d1,fontreg.exe
d1,gpprefcl.dll
d1,ifxcardm.dll
d1,imapi2.dll
d1,imapi2fs.dll
d1,msdrm.dll
d1,msim0401.mui
d1,msim0402.mui
d1,msim0403.mui
d1,msim0404.mui
d1,msim0405.mui
d1,msim0406.mui
d1,msim0407.mui
d1,msim0408.mui
d1,msim0409.mui
d1,msim040b.mui
d1,msim040c.mui
d1,msim040d.mui
d1,msim040e.mui
d1,msim0410.mui
d1,msim0411.mui
d1,msim0412.mui
d1,msim0413.mui
d1,msim0414.mui
d1,msim0415.mui
d1,msim0416.mui
d1,msim0418.mui
d1,msim0419.mui
d1,msim041a.mui
d1,msim041b.mui
d1,msim041d.mui
d1,msim041e.mui
d1,msim041f.mui
d1,msim0422.mui
d1,msim0424.mui
d1,msim0425.mui
d1,msim0426.mui
d1,msim0427.mui
d1,msim042a.mui
d1,msim042d.mui
d1,msim0804.mui
d1,msim0816.mui
d1,msim081a.mui
d1,msim0c0a.mui
d1,msxml4.dll
d1,msxml4r.dll
d1,mucltui.dll
d1,mucltui.mui
d1,muweb.dll
d1,pintool.exe
d1,polbase.mof
d1,polpro.mof
d1,polproc.mof
d1,polprocl.mfl
d1,polprocl.mof
d1,polprou.mof
d1,qfecheck.exe
d1,resetwmi.exe
d1,rmact.exe
d1,rmacti.exe
d1,rmacts.exe
d1,rmactsi.exe
d1,rootsupd.exe
d1,rspndr.exe
d1,rspndr.inf
d1,rspndr.sys
d1,secprc.dll
d1,secprci.dll
d1,secprcs.dll
d1,secprcsi.dll
d1,spcustom.dll
d1,spmsg.dll
d1,spuninst.exe
d1,spupdsvc.exe
d1,update.exe
d1,updspapi.dll
d1,wuapi.mui
d1,wuaucpl.mui
d1,wuaueng.mui
d1,wucltui.mui
d1,wups2.dll

;This section contains entries that need to go into the [Files] section of dosnet.inf for XP Pro only
[dosnet_files_pro]
d1,rspndr.adm

;This section contains entries that need to go into the [WinntDirectories] section of txtsetup.sif
[txtsetup_dirs]
250 = system32\PreInstall\WinSE\wxp_x86_0409_v1
251 = SoftwareDistribution\DataStore
252 = system32\Macromed\Flash
700 = system32\mui\0401
701 = system32\mui\0404
702 = system32\mui\0405
703 = system32\mui\0406
704 = system32\mui\0407
705 = system32\mui\0408
706 = system32\mui\040b
707 = system32\mui\040C
708 = system32\mui\040D
709 = system32\mui\040e
710 = system32\mui\0410
711 = system32\mui\0411
712 = system32\mui\0412
713 = system32\mui\0413
714 = system32\mui\0414
715 = system32\mui\0415
716 = system32\mui\0416
717 = system32\mui\0419
718 = system32\mui\041D
719 = system32\mui\041f
720 = system32\mui\0804
721 = system32\mui\0816
722 = system32\mui\0C0A
723 = system32\mui\0402
724 = system32\mui\0418
725 = system32\mui\041a
727 = system32\mui\041e
729 = system32\mui\0425
730 = system32\mui\0426
731 = system32\mui\0427
732 = system32\mui\0403
733 = system32\mui\0409
734 = system32\mui\0422
735 = system32\mui\042a
736 = system32\mui\042d
737 = system32\mui\081a

;This section contains entries that need to go into the [SourceDisksFiles] section of txtsetup.sif
[txtsetup_files]
%maininf%    = 100,,,,,,,20,0,0
axaltocm.dll = 100,,,,,,,2,0,0
basecsp.dll  = 100,,,,,,,2,0,0
bcsprsrc.dll = 100,,,,,,,2,0,0
bthport.sys  = 100,,,,,,,4,0,0
DataStor.edb = 100,,,,,,,251,0,0,DataStore.edb
flash10.ocx   = 100,,,,,,,252,0,0,Flash10a.ocx
flashutl.exe = 100,,,,,,,252,0,0,FlashUtil10a.exe
fontreg.exe  = 100,,,,,,,2,0,0,FontReg.exe
gpprefcl.dll = 100,,,,,,,2,0,0
ifxcardm.dll = 100,,,,,,,2,0,0
imapi2.dll   = 100,,,,,,,2,0,0
imapi2fs.dll = 100,,,,,,,2,0,0
msdrm.dll    = 100,,,,,,,2,0,0
msim0401.mui = 100,,,,,,,700,0,0,msimsg.dll.mui,1,2
msim0402.mui = 100,,,,,,,723,0,0,msimsg.dll.mui,1,2
msim0403.mui = 100,,,,,,,732,0,0,msimsg.dll.mui,1,2
msim0404.mui = 100,,,,,,,701,0,0,msimsg.dll.mui,1,2
msim0405.mui = 100,,,,,,,702,0,0,msimsg.dll.mui,1,2
msim0406.mui = 100,,,,,,,703,0,0,msimsg.dll.mui,1,2
msim0407.mui = 100,,,,,,,704,0,0,msimsg.dll.mui,1,2
msim0408.mui = 100,,,,,,,705,0,0,msimsg.dll.mui,1,2
msim0409.mui = 100,,,,,,,733,0,0,msimsg.dll.mui,1,2
msim040b.mui = 100,,,,,,,706,0,0,msimsg.dll.mui,1,2
msim040c.mui = 100,,,,,,,707,0,0,msimsg.dll.mui,1,2
msim040d.mui = 100,,,,,,,708,0,0,msimsg.dll.mui,1,2
msim040e.mui = 100,,,,,,,709,0,0,msimsg.dll.mui,1,2
msim0410.mui = 100,,,,,,,710,0,0,msimsg.dll.mui,1,2
msim0411.mui = 100,,,,,,,711,0,0,msimsg.dll.mui,1,2
msim0412.mui = 100,,,,,,,712,0,0,msimsg.dll.mui,1,2
msim0413.mui = 100,,,,,,,713,0,0,msimsg.dll.mui,1,2
msim0414.mui = 100,,,,,,,714,0,0,msimsg.dll.mui,1,2
msim0415.mui = 100,,,,,,,715,0,0,msimsg.dll.mui,1,2
msim0416.mui = 100,,,,,,,716,0,0,msimsg.dll.mui,1,2
msim0418.mui = 100,,,,,,,724,0,0,msimsg.dll.mui,1,2
msim0419.mui = 100,,,,,,,717,0,0,msimsg.dll.mui,1,2
msim041a.mui = 100,,,,,,,725,0,0,msimsg.dll.mui,1,2
msim041b.mui = 100,,,,,,,726,0,0,msimsg.dll.mui,1,2
msim041d.mui = 100,,,,,,,718,0,0,msimsg.dll.mui,1,2
msim041e.mui = 100,,,,,,,727,0,0,msimsg.dll.mui,1,2
msim041f.mui = 100,,,,,,,719,0,0,msimsg.dll.mui,1,2
msim0422.mui = 100,,,,,,,734,0,0,msimsg.dll.mui,1,2
msim0424.mui = 100,,,,,,,728,0,0,msimsg.dll.mui,1,2
msim0425.mui = 100,,,,,,,729,0,0,msimsg.dll.mui,1,2
msim0426.mui = 100,,,,,,,730,0,0,msimsg.dll.mui,1,2
msim0427.mui = 100,,,,,,,731,0,0,msimsg.dll.mui,1,2
msim042a.mui = 100,,,,,,,735,0,0,msimsg.dll.mui,1,2
msim042d.mui = 100,,,,,,,736,0,0,msimsg.dll.mui,1,2
msim0804.mui = 100,,,,,,,720,0,0,msimsg.dll.mui,1,2
msim0816.mui = 100,,,,,,,721,0,0,msimsg.dll.mui,1,2
msim081a.mui = 100,,,,,,,737,0,0,msimsg.dll.mui,1,2
msim0c0a.mui = 100,,,,,,,722,0,0,msimsg.dll.mui,1,2
msxml4.dll   = 100,,,,,,,2,0,0
msxml4r.dll  = 100,,,,,,,2,0,0
mucltui.dll  = 100,,,,,,,2,0,0
mucltui.mui  = 100,,,,,,,2,0,0,mucltui.dll.mui
muweb.dll    = 100,,,,,,,2,0,0
pintool.exe  = 100,,,,,,,2,0,0
polbase.mof  = 100,,,,,,,35,0,0
polpro.mof   = 100,,,,,,,35,0,0
polproc.mof  = 100,,,,,,,35,0,0
polprocl.mfl = 100,,,,,,,35,0,0
polprocl.mof = 100,,,,,,,35,0,0
polprou.mof  = 100,,,,,,,35,0,0
qfecheck.exe = 100,,,,,,,2,0,0
resetwmi.exe = 100,,,,,,,1,0,0
rmact.exe    = 100,,,,,,,2,0,0,RmActivate.exe
rmacti.exe   = 100,,,,,,,2,0,0,RmActivate_isv.exe
rmacts.exe   = 100,,,,,,,2,0,0,RmActivate_ssp.exe
rmactsi.exe  = 100,,,,,,,2,0,0,RmActivate_ssp_isv.exe
rootsupd.exe = 100,,,,,,,1,0,0
rspndr.exe   = 100,,,,,,,2,0,0
rspndr.inf   = 100,,,,,,,20,0,0
rspndr.sys   = 100,,,,,,,4,0,0
secprc.dll   = 100,,,,,,,2,0,0,SecProc.dll
secprci.dll  = 100,,,,,,,2,0,0,SecProc_isv.dll
secprcs.dll  = 100,,,,,,,2,0,0,SecProc_ssp.dll
secprcsi.dll = 100,,,,,,,2,0,0,SecProc_ssp_isv.dll
spcustom.dll = 100,,,,,,,250,0,0,spcustom.dll.ref
spmsg.dll    = 100,,,,,,,250,0,0,spmsg.dll.ref
spuninst.exe = 100,,,,,,,250,0,0,spuninst.exe.ref
spupdsvc.exe = 100,,,,,,,250,0,0,spupdsvc.exe.ref
update.exe   = 100,,,,,,,250,0,0,update.exe.ref
updspapi.dll = 100,,,,,,,250,0,0,updspapi.dll.ref
wuapi.mui    = 100,,,,,,,2,0,0,wuapi.dll.mui
wuaucpl.mui  = 100,,,,,,,2,0,0,wuaucpl.cpl.mui
wuaueng.mui  = 100,,,,,,,2,0,0,wuaueng.dll.mui
wucltui.mui  = 100,,,,,,,2,0,0,wucltui.dll.mui
wups2.dll    = 100,,,,,,,2,0,0

;This section contains entries that need to go into the [SourceDisksFiles] section of txtsetup.sif for XP Pro only
[txtsetup_files_pro]
rspndr.adm   = 100,,,,,,,20,0,0

;This section adds flags for specific files so that winnt.exe and winnt32.exe based
;installs work without complaining about missing files
;Hopefully not needed for the SP3 pack...
[txtsetup_fileflags]

;This section contains the list of files which exist in both driver.cab and the i386 directory.
;They will be copied into the expanded driver folder during driver cab updating.
[drivercab_copy]

;This shouldn't be needed, but it is due a bug in Integrator 1.5.3
[mmssetupcab_move]
msgsc.dll

;i386_compress is only needed for new files now with Integrator 1.5
[i386_compress]
rvmtemp\extracted\axaltocm.dll
rvmtemp\extracted\basecsp.dll
rvmtemp\extracted\bcsprsrc.dll
rvmtemp\extracted\DataStor.edb
rvmtemp\extracted\flash10.ocx
rvmtemp\extracted\flashutl.exe
rvmtemp\extracted\fontreg.exe
rvmtemp\extracted\gpprefcl.dll
rvmtemp\extracted\ifxcardm.dll
rvmtemp\extracted\imapi2.dll
rvmtemp\extracted\imapi2fs.dll
rvmtemp\extracted\msdrm.dll
rvmtemp\extracted\msim0401.mui
rvmtemp\extracted\msim0402.mui
rvmtemp\extracted\msim0403.mui
rvmtemp\extracted\msim0404.mui
rvmtemp\extracted\msim0405.mui
rvmtemp\extracted\msim0406.mui
rvmtemp\extracted\msim0407.mui
rvmtemp\extracted\msim0408.mui
rvmtemp\extracted\msim0409.mui
rvmtemp\extracted\msim040b.mui
rvmtemp\extracted\msim040c.mui
rvmtemp\extracted\msim040d.mui
rvmtemp\extracted\msim040e.mui
rvmtemp\extracted\msim0410.mui
rvmtemp\extracted\msim0411.mui
rvmtemp\extracted\msim0412.mui
rvmtemp\extracted\msim0413.mui
rvmtemp\extracted\msim0414.mui
rvmtemp\extracted\msim0415.mui
rvmtemp\extracted\msim0416.mui
rvmtemp\extracted\msim0418.mui
rvmtemp\extracted\msim0419.mui
rvmtemp\extracted\msim041a.mui
rvmtemp\extracted\msim041b.mui
rvmtemp\extracted\msim041d.mui
rvmtemp\extracted\msim041e.mui
rvmtemp\extracted\msim041f.mui
rvmtemp\extracted\msim0422.mui
rvmtemp\extracted\msim0424.mui
rvmtemp\extracted\msim0425.mui
rvmtemp\extracted\msim0426.mui
rvmtemp\extracted\msim0427.mui
rvmtemp\extracted\msim042a.mui
rvmtemp\extracted\msim042d.mui
rvmtemp\extracted\msim0804.mui
rvmtemp\extracted\msim0816.mui
rvmtemp\extracted\msim081a.mui
rvmtemp\extracted\msim0c0a.mui
rvmtemp\extracted\msxml4.dll
rvmtemp\extracted\msxml4r.dll
rvmtemp\extracted\mucltui.dll
rvmtemp\extracted\mucltui.mui
rvmtemp\extracted\muweb.dll
rvmtemp\extracted\pintool.exe
rvmtemp\extracted\polbase.mof
rvmtemp\extracted\polpro.mof
rvmtemp\extracted\polproc.mof
rvmtemp\extracted\polprocl.mfl
rvmtemp\extracted\polprocl.mof
rvmtemp\extracted\polprou.mof
rvmtemp\extracted\qfecheck.exe
rvmtemp\extracted\resetwmi.exe
rvmtemp\extracted\rmact.exe
rvmtemp\extracted\rmacti.exe
rvmtemp\extracted\rmacts.exe
rvmtemp\extracted\rmactsi.exe
rvmtemp\extracted\rootsupd.exe
rvmtemp\extracted\rspndr.adm
rvmtemp\extracted\rspndr.exe
rvmtemp\extracted\rspndr.inf
rvmtemp\extracted\rspndr.sys
rvmtemp\extracted\RVMUpPck.inf
rvmtemp\extracted\secprc.dll
rvmtemp\extracted\secprci.dll
rvmtemp\extracted\secprcs.dll
rvmtemp\extracted\secprcsi.dll
rvmtemp\extracted\spcustom.dll
rvmtemp\extracted\spmsg.dll
rvmtemp\extracted\spuninst.exe
rvmtemp\extracted\spupdsvc.exe
rvmtemp\extracted\update.exe
rvmtemp\extracted\updspapi.dll
rvmtemp\extracted\wuapi.mui
rvmtemp\extracted\wuaucpl.mui
rvmtemp\extracted\wuaueng.mui
rvmtemp\extracted\wucltui.mui
rvmtemp\extracted\wups2.dll

;Removes files from i386 which are no longer necessary
[obsolete_files]
flash.ocx
flash9.ocx
mmc.chm
mstsc.chm
mstsc.exe
mstscax.dll
plugin.ocx
rdsktpw.chm

;This section contains a list of obsolete hotfixes which shouldn't be installed
[obsolete]
KB938464
KB942763
KB943326
KB944505
KB944898
KB945015
KB947100
KB947279
KB950162
KB950582
KB950668
KB950759
KB950760
KB951072
KB951410
KB951615
KB951748
KB951830
KB952020
KB952079
KB952287
KB952825
KB953323
KB953838
KB953839
KB953955
KB954211
KB954459
KB954494
KB954956
KB955535
KB956390
KB956803
KB957095
KB957097

;SP3 WBEM fix in case someone's using an older version of the Integrator
[ExtraFileEdits]
;SP3 WBEM Fix
wbemoc.inf|napclientprov.mof,napprov.mof|napclientprov.mof|0
wbemoc.inf|napclientprov.mof|napclientprov.mof,napprov.mof|1
wbemoc.inf|napclientschema.mof,napschem.mof|napclientschema.mof|0
wbemoc.inf|napclientschema.mof|napclientschema.mof,napschem.mof|1
;Required for KB951624
hivesys.inf|"TDI",\|"TDI",\<NEXT>        "FirewallGroup",\|1